Subject: Re: Question about git-svn import

From: Steven Walter <[email-masked]>
Date: Mon, 17 Dec 2007 22:48:36 -0500

On Mon, Dec 17, 2007 at 06:18:29PM +0100, Pascal Obry wrote:
> You'll find a script into this message that reproduce what I'll describe
> below. Basically the Subversion repository add a given structure in the
> past then rearranged to use the "standard" structure. The former
> structure was:
> 
>    <root>
>       |
>       | - dir1
>       | - dir2
> 
> The new one is:
> 
>    <root>
>       |
>       |- trunk
>       |    | - dir1
>       |    | - dir2
>       |- branches
>       |- tags
> 
> Now I want to import this project into Git (using git-svn) as the
> project won't leave Subversion for the moment. When doing:
> 
>    $ git svn clone -s <repo> <git-repo>
> 
> In git-repo we get only the commits done inside <root>/trunk and not the
> commits done in the former repository.
> 
> The question is what is the best way to deal with such a case with git-svn ?

Not sure if this is the best way, but I would recommend cloning into two
repositories, then combining them.  So you already have the newer
changes with the standard layout.  You would now:

    $ git svn init <repo>

And only fetch the revisions before the layout change.  You could then
combine the two repositories using .git/info/grafts and
git-rewrite-branch.
-- 
-Steven Walter <[email-masked]>
Freedom is the freedom to say that 2 + 2 = 4
B2F1 0ECC E605 7321 E818  7A65 FC81 9777 DC28 9E8F